Bug 1672409 (CVE-2019-7317) - CVE-2019-7317 libpng: use-after-free in png_image_free in png.c
Summary: CVE-2019-7317 libpng: use-after-free in png_image_free in png.c
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-7317
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20190125,reported=2...
Depends On: 1672412 1672413 1674332 1674333 1714081 1714083 1714084 1714085 1738537 1741810 1741813 1672410 1672411 1672414 1672415 1672416 1709218 1709219 1709220 1709221 1709222 1714082 1738535 1738536 1741809 1741811 1741812 1745502 1745896
Blocks: 1672417 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-02-04 21:17 UTC by Laura Pardo
Modified: 2019-09-11 15:07 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:47:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:29 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:11 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:28 UTC
Red Hat Product Errata RHSA-2019:1308 None None None 2019-06-03 21:14:38 UTC
Red Hat Product Errata RHSA-2019:1309 None None None 2019-06-03 21:14:58 UTC
Red Hat Product Errata RHSA-2019:1310 None None None 2019-06-03 21:15:13 UTC
Red Hat Product Errata RHSA-2019:2494 None None None 2019-08-15 09:03:26 UTC
Red Hat Product Errata RHSA-2019:2495 None None None 2019-08-15 09:01:30 UTC
Red Hat Product Errata RHSA-2019:2585 None None None 2019-09-02 07:18:10 UTC
Red Hat Product Errata RHSA-2019:2590 None None None 2019-09-02 07:44:55 UTC
Red Hat Product Errata RHSA-2019:2592 None None None 2019-09-02 10:34:44 UTC
Red Hat Product Errata RHSA-2019:2737 None None None 2019-09-11 15:07:09 UTC

Description Laura Pardo 2019-02-04 21:17:51 UTC
A vulnerability was found in libpng 1.6.36. The function png_image_free in png.c has a use-after-free because png_image_free_function is called under png_safe_execute.


References:
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=12803
https://github.com/glennrp/libpng/issues/275

Comment 1 Laura Pardo 2019-02-04 21:18:45 UTC
Created libpng tracking bugs for this issue:

Affects: fedora-all [bug 1672411]


Created libpng10 tracking bugs for this issue:

Affects: epel-6 [bug 1672410]
Affects: fedora-all [bug 1672414]


Created libpng12 tracking bugs for this issue:

Affects: fedora-all [bug 1672415]


Created libpng15 tracking bugs for this issue:

Affects: fedora-all [bug 1672416]


Created mingw-libpng tracking bugs for this issue:

Affects: epel-7 [bug 1672412]
Affects: fedora-all [bug 1672413]

Comment 2 Doran Moppert 2019-02-11 01:28:24 UTC
This flaw is in the PNG Simplified API, which was introduced upstream in libpng-1.6.0.  Previous versions of libpng are not affected.

Comment 6 errata-xmlrpc 2019-05-23 15:32:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 7 errata-xmlrpc 2019-05-23 15:48:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 8 errata-xmlrpc 2019-05-23 16:07:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 9 Doran Moppert 2019-05-29 06:21:57 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 10 errata-xmlrpc 2019-06-03 20:52:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 11 errata-xmlrpc 2019-06-03 21:14:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 12 errata-xmlrpc 2019-06-03 21:14:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 13 errata-xmlrpc 2019-06-03 21:15:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310

Comment 14 errata-xmlrpc 2019-08-15 09:01:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:2495 https://access.redhat.com/errata/RHSA-2019:2495

Comment 15 errata-xmlrpc 2019-08-15 09:03:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:2494 https://access.redhat.com/errata/RHSA-2019:2494

Comment 17 errata-xmlrpc 2019-09-02 07:18:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:2585 https://access.redhat.com/errata/RHSA-2019:2585

Comment 18 errata-xmlrpc 2019-09-02 07:44:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2590 https://access.redhat.com/errata/RHSA-2019:2590

Comment 19 errata-xmlrpc 2019-09-02 10:34:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:2592 https://access.redhat.com/errata/RHSA-2019:2592

Comment 20 errata-xmlrpc 2019-09-11 15:07:08 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:2737 https://access.redhat.com/errata/RHSA-2019:2737


Note You need to log in before you can comment on or make changes to this bug.